Bug Hunting Session
Bug 126684 - Character Style border attributes UI doesn't show borders or allow change to borders
Summary: Character Style border attributes UI doesn't show borders or allow change to ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-08-03 11:23 UTC by Justin L
Modified: 2019-08-14 07:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2019-08-03 11:23:49 UTC
In attachment 143751 [details] from bug 118936, the character style "WithBorders" properly applies yellow borders, but when modifying the style, it appears as if borders are disabled, and any changes made to the borders is immediately lost.

Bisected to LO 6.1 commit 074fc4a1499aac6eb67cd0b2dca00a51071cff0e
Author: Mike Kaganski,  Date: Sun Feb 25 21:00:07 2018 +0300
    bug 116020: use actual whichIds in dialogs for character properties

It appears that the grabbag entry is disappearing in sw/source/uibase/app/docst.cxx. ::ConvertAttrCharToGen is called and sets DialogUseCharAttr to true, but later when the grabbag is tested, the "DialogUseCharAttr" property doesn't exist. (in gdb, it seemed to randomly disappear)

I tried create an ODT document that did the same thing, but failed. The one distinction about the test document is that the grabbag already exists with one entry in it.
Comment 1 Justin L 2019-08-03 19:07:23 UTC
https://gerrit.libreoffice.org/76899 tdf#126684
sw: don't overwrite grabbag with charFormat
    
    I don't know anything about why something would
    overwrite the propertyset that I am using, but
    this identifies and resolves this particular problem.
Comment 2 Mike Kaganski 2019-08-05 11:42:09 UTC
https://gerrit.libreoffice.org/76981

Thanks Justin!
Comment 3 Commit Notification 2019-08-05 16:14:11 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/30d03b495f437e9b2edbb0f8ceebe3020ba7459c%5E%21

tdf#126684: store "DialogUseCharAttr" in RES_PARATR_GRABBAG

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-08-06 10:00:50 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 967644f09b8b7abe3b86d1647820f14e0196f8b4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike, thanks for fixing this issue!!
Comment 5 Commit Notification 2019-08-14 07:30:47 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/1b9d52949239f0dd2e982ae986dcb812085eee03%5E%21

tdf#126684: store "DialogUseCharAttr" in RES_PARATR_GRABBAG

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.